$body-bg: #141219;
$body-color: #e6e6e6;
$primary-color: #a03d8c;
$secondary-color: #7286ff;
$terceary-color: #fe7587;
$gradient-primary: linear-gradient(to right, #a03d8c, #4c2cca);
$gradient-secondary: linear-gradient(to right, #7286ff, #fe7587);
$box-shadow-focus: #910cc569 0 0 0 0.25rem !important;
$image-gradient: '/public/imgs/purple_radial.png';

// Formulario
.form-control {
    &:focus {
        box-shadow: $box-shadow-focus;
    }
}

.input-group-text {
    background-color: $body-bg !important;
}

// Botones
.btn {
    &-primary {
        background: $gradient-primary !important;
        border-color: $primary-color !important;

        &:hover {
            background: none !important;
            border-color: $primary-color !important;
        }
    }

    &-secondary {
        background: $gradient-secondary !important;
        border-color: $terceary-color !important;

        &:hover {
            background: none !important;
            border-color: $terceary-color !important;
        }
    }

    &-outline-primary {
        color: $body-color !important;
        background: none !important;
        border-color: $primary-color !important;

        &:hover {
            color: $body-color !important;
            background: $gradient-secondary !important;
            border-color: $primary-color !important;
        }
    }
}

// Navbar
.nav-link {
    font-size: 1.2em !important;
    color: $body-color !important;

    &:hover {
        color: #d8d3ff !important;
    }

    &.active {
        background-image: $gradient-primary !important;
        -webkit-text-fill-color: transparent;
        -webkit-background-clip: text;
        background-clip: text;
    }
}

// Cards
.card {
    background-color: #1b1724 !important;
}

// Paginación
.page-link {
    &:hover, &:focus, &.active {
        background: $gradient-primary !important;
        border-color: $body-color !important;
        color: $body-color !important;
    }

    &:focus {
        box-shadow: none !important;
    }
}

.page-link.active, .active > .page-link {
    color: $body-color !important;
    background: $gradient-primary !important;
    border-color: $body-color !important;
}

.page-item {
    &.disabled .page-link {
        background: $gradient-primary !important;
        border-color: $body-color !important;
        color:$body-color !important;
    }
}

.pagination {
    --bs-pagination-color: $primary-color !important;
    --bs-pagination-disabled-bg: $primary-color !important;
}

@import "bootstrap/scss/bootstrap";

/*------ Estilos personalizados ------*/
.grey-layer {
    background-color: rgba(20, 18, 25, .7);
    position: absolute;
    top: 0%;
    bottom: 0%;
    left: 0%;

    right: 0%;
}

.gradient-bg-home {
    background-image: url($image-gradient);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
}

.hero_wrapper {
    position: relative;
}

// Títulos
.title-home {
    font-family: Raleway;
    font-size: 60px;
    font-weight: 700;
    grid-area: auto;
}

// Texto con gradiente
.text-is-gradient {
    background-image: $gradient-secondary !important;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

// Gradient para tarjetas
.gradient-for-card-tb {
    background-image: $gradient-secondary;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    min-width: 100%;
    min-height: 4px;
}

.gradient-for-card-se {
    background-image: $gradient-secondary;
    border-radius: 12px;
    padding-left: 8px;
    padding-right: 8px;
}

// Gradiente para iconos
.gradient-for-icons {
    background-image: linear-gradient(to right, #de6875, #8947d2);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}
